import { AxiosPromise, AxiosResponse } from "axios";
import request from "~/utils/request";
const api = {
    //公众号登陆
    loginGzhcode: (params: {
        authorizationCode: string
    }) => {
        return request({
            url: "login/gzhcode",
            headers: {
                isLogin: "1",
            },
            method: 'post',
            params
        })

    },
    //获取视频列表
    studentVideoTeachingList: (params: {
        state: 0 | 1,
        videoSubject: number

    }): AxiosPromise<StudentVideoTeachingListRes> => {
        return request({
            url: "student/video/teaching/list",
            method: 'get',
            params
        })
    },
    //获取用户信息
    studentUserInfo():AxiosPromise<studentUserInfoRes>{
        return request({
            url: "student/user/info",
            method: 'get'
        })
    },
    //(开放信息)根据字典类型查询字典数据信息
    openapiSystemDictDataType(dictType:string):AxiosPromise<openapiSystemDictDataTypeRes>{
        return request({
            url:`open-api/system/dict/data/type/${dictType}`,
            method: 'get'
        })

    }

}
export default api